/*
 *
 *
 *
 *	sweptsph.h
 *
 *
 *	Copyright (C) 1992 by Lawrence K. Coffin, Craig Colb
 *	All Rights reserved.
 *
 * This software may be freely copied, modified, and redistributed
 * provided that this copyright notice is preserved on all copies.
 *
 * You may not distribute this software, in whole or in part, as part of
 * any commercial product without the express consent of the authors.
 *
 * There is no warranty or other guarantee of fitness of this software
 * for any purpose.  It is provided solely "as is".
 *
 * 06/20/92 Larry Coffin
 * Initial version.
 * 
 */


#ifndef SWEPTSPH_H
#define SWEPTSPH_H

#define GeomSweptSphCreate(c,r)  GeomCreate((GeomRef)SweptSphCreate(c,r), SweptSphMethods())



typedef struct{
	Vector a0, a1, a2, a3;
	Float rad[4], pb[7], pd[5];
}SweptSph;

extern SweptSph *SweptSphCreate();
extern Methods *SweptSphMethods();
extern int SweptSphIntersect(), SweptSphNormal();
extern void SweptSphStats(), SweptSphBounds();
extern char *SweptSphName();
extern int FindRoots(), findit(), newtonit();
extern Float evalpoly();
#endif SWEPTSPH_H
